import React, { useState } from 'react';
import { ScrollView, Text } from 'react-native';
import { Icon, Slider } from 'react-native-elements';
import C from 'rn-class';

export default props => {
  const { Pages } = props;
  const [curPlayerValue, setCurPlayerValue] = useState(0);
  const [isPlay, setPlay] = useState(false);
  const onSetPlay = () => {
    setPlay(!isPlay);
  };
  return (
    <ScrollView>
      <C.Text cls="flx1 ta-c">{Pages.subtitle}</C.Text>
      <C.View cls="flx2 ph5 mt5">
        <C.Text cls="fw-b">{Pages.subtitle}</C.Text>
        <C.Text cls="mt2" numberOfLines={10}>
          {Pages.contens}
        </C.Text>
        <C.Text cls="mt3" numberOfLines={1}>
          by {Pages.subtitle.replace(/\r\n|\n|\r/gm, ' ')}
        </C.Text>
        <C.Text cls="mt5 as-e" numberOfLines={1}>
          March 19
        </C.Text>
      </C.View>
      <C.View cls="flx1 flx-row jc-sa ai-c mt5">
        <C.EL.Icon {...C.n2cls('size8')} type="ionicon" name="md-rewind" />
        { isPlay
          ?<C.EL.Icon {...C.n2cls('size10')} type="ionicon" name="md-pause" onPress={onSetPlay} />
          :<C.EL.Icon {...C.n2cls('size10')} type="ionicon" name="md-play" onPress={onSetPlay} />
        }
        <C.EL.Icon {...C.n2cls('size8')} type="ionicon" name="md-fastforward" />
        <C.EL.Icon {...C.n2cls('size10')} type="ionicon" name="md-square" />
      </C.View>
      <C.View cls="flx1 ai-c mt2">
        <Slider
          style={{ width: '95%' }}
          trackStyle={{height:2}}
          thumbTintColor="#333"
          thumbStyle={{ width: 10, height: 5 }}
          value={curPlayerValue}
          onValueChange={value => setCurPlayerValue(value)}
        />
        <C.View cls="w95 jc-sb flx-row">
          <C.Text>Time : {curPlayerValue}</C.Text>
          <C.Text>{`2:50`}</C.Text>
        </C.View>
      </C.View>
      <C.View cls="h50" />
    </ScrollView>
  );
};
