import React from "react";
import {
  createStackNavigator,
  createAppContainer,
  NavigationContainer,
  createSwitchNavigator
} from "react-navigation";

import Login from "../pages/_1_Login";
import AcceptTerms from "../pages/_2_AcceptTerms";
import Guide1 from "../pages/_3_Guide1";
import Guide2 from "../pages/_4_Guide2";
import Root from "../pages/_5_Root";



// setting 
import Setting from "../pages/_10_Setting";
import AccountInfo from "../popup/_10_1_AccountInfo";
import Notice from "../popup/_10_2_Notice";
import FAQ from "../popup/_10_3_FAQ";
import ChangeLanguage from "../popup/_10_4_ChangeLanguage";
import Support from "../popup/_10_5_Support";
import ServiceAlarm from "../popup/_10_6_ServiceAlarm";
import About from "../popup/_10_7_About";




import TermsPopup from '../popup/_1_TermsPopup';

const SwitchNavigator = createStackNavigator(
  {
    Login,
    AcceptTerms,
    Guide1,
    Guide2,
    Root: {
      screen: Root,
      navigationOptions: () => ({
        gesturesEnabled: false,
      })
    },
    Setting,

    AccountInfo,
    Notice,
    FAQ,
    ChangeLanguage,
    Support,
    ServiceAlarm,
    About,

    // Player,
    
  },
  {
    initialRouteName: "Login",  

    mode: 'modal',
    headerMode: 'none',
    cardStyle: {
      opacity: 1,
    },
  }
);

const AppContainer = createAppContainer(SwitchNavigator);

export default AppContainer;